import { Routes } from '@angular/router';
import { AuthGuard } from './guards/auth.guard';

export const routes: Routes = [
  {
    path: '',
    redirectTo: '/auth',
    pathMatch: 'full'
  },
  {
    path: 'auth',
    loadComponent: () => import('./components/auth/auth.component').then(m => m.AuthComponent)
  },
  {
    path: 'home',
    loadComponent: () => import('./components/home/home.component').then(m => m.HomeComponent),
    canActivate: [AuthGuard]
  },
  {
    path: 'design',
    loadComponent: () => import('./components/design-center/design-center.component').then(m => m.DesignCenterComponent),
    canActivate: [AuthGuard]
  },
  {
    path: 'fitting',
    loadComponent: () => import('./components/fitting-room/fitting-room.component').then(m => m.FittingRoomComponent),
    canActivate: [AuthGuard]
  },
  {
    path: 'community',
    loadComponent: () => import('./components/community/community.component').then(m => m.CommunityComponent),
    canActivate: [AuthGuard]
  },
  {
    path: 'profile',
    loadComponent: () => import('./components/profile/profile.component').then(m => m.ProfileComponent),
    canActivate: [AuthGuard]
  },
  {
    path: 'ai-chat',
    loadComponent: () => import('./components/shared/ai-chat/ai-chat.component').then(m => m.AiChatComponent),
    canActivate: [AuthGuard]
  },
  {
    path: '**',
    redirectTo: '/auth'
  }
]; 