export interface Design {
  id: string;
  name: string;
  description?: string;
  colors: ColorScheme;
  preview?: string;
  category?: string;
  isPublic?: boolean;
  createdAt: Date;
  updatedAt: Date;
}

export interface ColorScheme {
  overall: string;
  s1: string;
  t1: string;
  y1: string;
  z1: string;
  [key: string]: string;
}

export interface DesignPart {
  id: string;
  name: string;
  color: string;
  texture?: string;
  pattern?: string;
  material?: string;
}

export interface ColorRecommendation {
  scheme_name: string;
  colors: ColorScheme;
  theory?: {
    description: string;
    category: string;
    season?: string;
    occasion?: string;
  };
}

export interface DesignResponse {
  code: number;
  message: string;
  data: Design[] | Design;
} 