export interface Work {
  id: string;
  title: string;
  description?: string;
  imageUrl?: string;
  images?: string[];
  author: any;
  authorId?: string;
  likes: number;
  comments: number;
  views?: number;
  tags?: string[];
  createdAt?: Date;
  updatedAt?: Date;
  gradient?: string; // 用于首页展示的渐变色
  isLiked?: boolean;
}

export interface WorkDetail extends Work {
  content?: string;
  materials?: string[];
  tools?: string[];
  difficulty?: 'beginner' | 'intermediate' | 'advanced';
  category?: string;
  isPublic?: boolean;
  allowDownload?: boolean;
  allowComments?: boolean;
}

export interface CreateWorkRequest {
  title: string;
  description?: string;
  work_type: 'design' | 'fitting' | 'tutorial';
  images?: string[];
  tags?: string[];
  visibility?: 'public' | 'private' | 'followers';
  allow_download?: boolean;
  allow_comments?: boolean;
  design_id?: string;
}

export interface WorkResponse {
  code: number;
  message: string;
  data: Work[] | Work;
} 